[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'rttiutils' (#fcl)

# TPropsStorage.OnReadString

Read a string value from storage

## Declaration

Source position: rttiutils.pp line 119

`public property TPropsStorage.OnReadString: TReadStrEvent read FOnReadString write FOnReadString;`

## Description

OnReadString is the event handler called whenever TPropsStorage needs to read a string from storage. It should be set whenever properties need to be loaded, or an exception will be raised.

## See also

OnWriteString |  | Write a string value to storage
OnEraseSection |  | Erase a section in storage
TReadStrEvent |  | Callback to read strings from storage

The latest version of this document can be found at lazarus-ccr.sourceforge.net.